> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/authentication/change-password.md).

# Change Password

## POST /api/Public/ChangePassword/change

> Change password

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ChangePassword"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PasswordRequestInput":{"required":["currentPassword","emailId","newPassword"],"type":"object","properties":{"emailId":{"minLength":1,"type":"string","format":"email"},"currentPassword":{"minLength":1,"type":"string"},"newPassword":{"minLength":1,"type":"string"},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ChangePassword/change":{"post":{"tags":["ChangePassword"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PasswordRequestInput"}}}},"responses":{"200":{"description":"OK"}},"summary":"Change password","operationId":"post_ChangePassword_change"}}}}
```

## POST /api/Public/ChangePassword/get-passwordsettings

> Get passwordsettings

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ChangePassword"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Admin.Controllers.PwdSettingsEmailRequest":{"required":["emailID"],"type":"object","properties":{"emailID":{"minLength":1,"type":"string","format":"email"}},"additionalProperties":false}}},"paths":{"/api/Public/ChangePassword/get-passwordsettings":{"post":{"tags":["ChangePassword"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Admin.Controllers.PwdSettingsEmailRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Get passwordsettings","operationId":"post_ChangePassword_get_passwordsettings"}}}}
```
